package br.org.senacagil;

import java.util.ArrayList;
import java.util.List;

public class Venda {

	private int numero;
	private String data;
	private List<ItemVenda> itens = new ArrayList<ItemVenda>(); 
	
	public int getNumero() {
		return numero;
	}
	public void setNumero(int numero) {
		this.numero = numero;
	}
	public String getData() {
		return data;
	}
	public void setData(String data) {
		this.data = data;
	}
	public List<ItemVenda> getItens() {
		return itens;
	}
	public void setItens(List<ItemVenda> itens) {
		this.itens = itens;
	}
	
	public double getTotal() {
		
		double total = 0;
		for (ItemVenda it : itens) {
			total += it.getValor() * it.getQuantidade();
   		    System.out.println("   " + it.getNome() + " ==> total acumulado = " + total);			
		}	
		return total;
	}	
}
